public interface UrlOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getCategories(int index)
public abstract String getCategories(int index)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The categories at the given index. |
getCategoriesBytes(int index)
public abstract ByteString getCategoriesBytes(int index)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the categories at the given index. |
getCategoriesCount()
public abstract int getCategoriesCount()Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Returns | |
|---|---|
| Type | Description |
int |
The count of categories. |
getCategoriesList()
public abstract List<String> getCategoriesList()Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Returns | |
|---|---|
| Type | Description |
List<String> |
A list containing the categories. |
getFavicon()
public abstract Favicon getFavicon()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
Favicon |
The favicon. |
getFaviconOrBuilder()
public abstract FaviconOrBuilder getFaviconOrBuilder()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
FaviconOrBuilder |
|
getHtmlMeta()
public abstract Struct getHtmlMeta()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
Struct |
The htmlMeta. |
getHtmlMetaOrBuilder()
public abstract StructOrBuilder getHtmlMetaOrBuilder()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getLastFinalUrl()
public abstract String getLastFinalUrl()If the original URL redirects, where does it end.
string last_final_url = 5;
| Returns | |
|---|---|
| Type | Description |
String |
The lastFinalUrl. |
getLastFinalUrlBytes()
public abstract ByteString getLastFinalUrlBytes()If the original URL redirects, where does it end.
string last_final_url = 5;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for lastFinalUrl. |
getLastHttpResponseCode()
public abstract int getLastHttpResponseCode()HTTP response code of the last response.
int32 last_http_response_code = 6;
| Returns | |
|---|---|
| Type | Description |
int |
The lastHttpResponseCode. |
getLastHttpResponseContentLength()
public abstract long getLastHttpResponseContentLength()Length in bytes of the content received.
int64 last_http_response_content_length = 7;
| Returns | |
|---|---|
| Type | Description |
long |
The lastHttpResponseContentLength. |
getLastHttpResponseContentSha256()
public abstract String getLastHttpResponseContentSha256()URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Returns | |
|---|---|
| Type | Description |
String |
The lastHttpResponseContentSha256. |
getLastHttpResponseContentSha256Bytes()
public abstract ByteString getLastHttpResponseContentSha256Bytes()URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for lastHttpResponseContentSha256. |
getLastHttpResponseCookies()
public abstract Struct getLastHttpResponseCookies()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
Struct |
The lastHttpResponseCookies. |
getLastHttpResponseCookiesOrBuilder()
public abstract StructOrBuilder getLastHttpResponseCookiesOrBuilder()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getLastHttpResponseHeaders()
public abstract Struct getLastHttpResponseHeaders()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
Struct |
The lastHttpResponseHeaders. |
getLastHttpResponseHeadersOrBuilder()
public abstract StructOrBuilder getLastHttpResponseHeadersOrBuilder()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getTags(int index)
public abstract String getTags(int index)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The tags at the given index. |
getTagsBytes(int index)
public abstract ByteString getTagsBytes(int index)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the tags at the given index. |
getTagsCount()
public abstract int getTagsCount()Tags.
repeated string tags = 11;
| Returns | |
|---|---|
| Type | Description |
int |
The count of tags. |
getTagsList()
public abstract List<String> getTagsList()Tags.
repeated string tags = 11;
| Returns | |
|---|---|
| Type | Description |
List<String> |
A list containing the tags. |
getTitle()
public abstract String getTitle()Webpage title.
string title = 12;
| Returns | |
|---|---|
| Type | Description |
String |
The title. |
getTitleBytes()
public abstract ByteString getTitleBytes()Webpage title.
string title = 12;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for title. |
getTrackers(int index)
public abstract Tracker getTrackers(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Tracker |
|
getTrackersCount()
public abstract int getTrackersCount()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
int |
|
getTrackersList()
public abstract List<Tracker> getTrackersList()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
List<Tracker> |
|
getTrackersOrBuilder(int index)
public abstract TrackerOrBuilder getTrackersOrBuilder(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
TrackerOrBuilder |
|
getTrackersOrBuilderList()
public abstract List<? extends TrackerOrBuilder> getTrackersOrBuilderList()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.backstory.TrackerOrBuilder> |
|
getUrl()
public abstract String getUrl()URL.
string url = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public abstract ByteString getUrlBytes()URL.
string url = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |
hasFavicon()
public abstract boolean hasFavicon()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the favicon field is set. |
hasHtmlMeta()
public abstract boolean hasHtmlMeta()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the htmlMeta field is set. |
hasLastHttpResponseCookies()
public abstract boolean hasLastHttpResponseCookies()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the lastHttpResponseCookies field is set. |
hasLastHttpResponseHeaders()
public abstract boolean hasLastHttpResponseHeaders()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the lastHttpResponseHeaders field is set. |